/*******************************************************************

   This software is the confidential  and proprietary information of
   NetCat Inc.  You shall not disclose such confidential information
   and shall use it only in accordance with the terms of the license
   agreement you entered into with NetCat Inc.

   Copyright (c) 2003 - 2004 by NetCat Inc., www.netcat.li

   Author: Arthur Marxer, Dipl. Informatik-Ing. ETH

*******************************************************************/

import li.netcat.print.table.*;

import java.util.*;
import java.text.*;

public class MyTableDataModel implements TableDataModel {
  
  public int getRowCount() {
    return 1;
  }

  public int getColumnCount() {
    return 2;
  }
  
  public Object getValueAt(int rowIndex, int columnIndex) {
    return columnIndex == 0 ? "Cabernet Sauvignon" : "24.50";
  }
  
  public Object getValueTypeAt(int rowIndex, int columnIndex) {
    return columnIndex == 0 ? String.class : Number.class;
  }
  
  public boolean hasHeader() {
    return true;
  }
  
  public Object getHeaderAt(int columnIndex) {
    return columnIndex == 0 ? "Text" : "Price US$";
  }
  
  public Object getHeaderTypeAt(int columnIndex) {
    return String.class;
  }

  public boolean hasFooter() {
    return false;
  }
  
  public Object getFooterAt(int columnIndex) {
    return null;
  }
  
  public Object getFooterTypeAt(int columnIndex) {
    return null;
  }

}
